# Импорт выписок из Электронного бюджета в БГУ

Экспорт выписки из Электронного бюджета, настройка импорта и выполнение его в БГУ.

## Экспорт файла выписки из ЭБ

В системе "Электронный бюджет" (ЭБ) выписки находятся здесь:
в главном меню выбрать пункт "Подсистема управления расходами в части развития АУ БУ" и войти в режим "Компонент ведения операций со средствами АУ/БУ – Отчеты – Регламентированная отчетность о состоянии ЛС АУ – Выписка и приложение к выписке из лицевого счета бюджетного (автономного) учреждения – Все документы»". Откроется форма журнала выписок.

Нужную выписку необходимо экспортировать в формате XML. Для этого в списке выписок встаем на нужную и нажимаем кнопку интерфейса "Экспорт", выбираем "Формат XML". Получаем ZIP файл, который распаковываем в каталог, указанный в настройках обмена в поле "Путь загрузки". В нашем случае - это K:\СУФД\Загрузка.

## Добавление файла обмена
Для импорта выписок из ЭБ необходимо добавить в БГУ файл OFKXMLXXX.defx с настройками обмена. Существующий файл OFKAlbomXXX.defx не содержит правил импорта выписок. Здесь в обозначении файла XXX означает номер версии альбома. В нашем случае - это 333.

![Image](img/Настройка_поставок_форматов_обмена.png)

## Настройка задания на импорт
:white_check_mark: Журнал заданий на импорт выписки Казначейства расположен по пути: Главное - См.также - Задания обмена (банк, азначейство) - вкладка "Импорт". 

Ссылка для перехода: **e1cib/app/Обработка.ЗаданияОбменаБанкКазначейство**

Настройка нового задания на импорт выписок сводится к заполнению нескольких полей, показанных на скриншоте ниже:

![Image](img/Настройка_задания_импорта.png)

:white_check_mark: Поле "Настройка обмена" выдаст пустой справочник. Нужно добавить в него следующую настройку:

![Image](img/Настройка_обмена.png)

:white_check_mark: Настройка Вида обмена выглядит так:

![Image](img/Настройка_вида_обмена.png)

## Ваполнение задания
:white_check_mark: Для выполнения задания надо на вкладке "Файлы импорта" определить дату выписки (1). Нажать "Заполнить объектами" (2). При этом табличная часть должна заполниться. Далее нажимаем "Загрузить файлы" (3). 

![Image](img/Запуск_задания.png)

:white_check_mark: Итогом будет сформированная выписка, которую можно видеть на вкладке "Объекты импорта". Документы "Кассовое поступление", сформированные в результате отработки задания, появляются в журнале Денежные средства - Кассовое поступление.

![Image](img/Результат_отработки_задания.png)

## :exclamation: На что обратить внимание
- Документы "Кассовое поступление" формируются без указания Типовой операции. Ее надо проставить вручную в каждом документе. 
- Кроме этого надо обратить внимание на корректность подстановки контрагентов. 
- Так же вручную придется "разбивать" кассовые поступления, в которых указано более одного счета.

## Полезные ссылки

- [Обмен с органами казначейства в форматах ФК](https://its.1c.ru/db/metbud81#content:5683:hdoc)
- [Установка значений реквизитов по умолчанию](https://its.1c.ru/db/metbud81/content/7556/hdoc)
- [Как сформировать файлы документов для Федерального казначейства с кодами в имени файла, отличными от кода учреждения](https://its.1c.ru/db/metbud81#content:6898:hdoc)
